Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
ContentId Struct Reference

Content-ID field value. More...

`#include <contentid.h>`

Inheritance diagram for ContentId:

## Public Member Functions

| ContentId (const char *)
| ContentId (const std::string &)
void | set (const std::string &)
std::string | str () const

## Static Public Attributes

static const char | label []

## Protected Member Functions

FieldValue * | clone () const
Protected Member Functions inherited from FieldValue
bool | typeChecked () const
void | typeChecked (bool)

## Detailed Description

Content-ID field value.

## Member Function Documentation

## ◆ clone()

FieldValue * clone | ( |  | ) | const

protected virtual

Implements FieldValue.

## ◆ set()

void set | ( | const std::string & |  | ) |

virtual

Implements FieldValue.

## ◆ str()

std::string str | ( |  | ) | const

virtual

Implements FieldValue.

The documentation for this struct was generated from the following file:

- contentid.h